<?xml version="1.0" encoding="UTF-8"?>
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" 
xmlns:xs="http://www.w3.org/2001/XMLSchema" 
targetNamespace="urn:3gpp:ns:mcvideoMbmsUsage:1.0"
xmlns:mcvidmbms="urn:3gpp:ns:mcvideoMbmsUsage:1.0">
	<!-- the root element -->
	<xs:element name="mcvideo-mbms-usage-info" type="mcvidmbms:mcvideo-mbms-usage-info-Type" id="mbms"/>
	<xs:complexType name="mcvideo-mbms-usage-info-Type">
		<xs:sequence>
			<xs:element name="mbms-listening-status" type="mcvidmbms:mbms-listening-statusType" 
			minOccurs="0"/>
			<xs:element name="mbms-suspension-status" type="mcvidmbms:mbms-suspension-statusType" 
			minOccurs="0"/>
			<xs:element name="announcement" type="mcvidmbms:announcementTypeParams" minOccurs="0"/>
			<xs:element name="version" type="xs:integer"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcvidmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:complexType name="mbms-listening-statusType">
		<xs:sequence>
			<xs:element name="mbms-listening-status" type="xs:string"/>
			<xs:element name="session-id" type="xs:anyURI" minOccurs="0"/>
			<xs:element name="general-purpose" type="xs:boolean" minOccurs="0"/>
			<xs:element name="TMGI" type="xs:hexBinary" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcvidmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:complexType name="mbms-suspension-statusType">
		<xs:sequence>
			<xs:element name="mbms-suspension-status" type="xs:string" minOccurs="0" maxOccurs="1"/>
			<xs:element name="number-of-reported-bearers" type="xs:integer" minOccurs="0" maxOccurs="1"/>
			<xs:element name="suspended-TMGI" type="xs:hexBinary" minOccurs="0"/>
			<xs:element name="other-TMGI" type="xs:hexBinary" minOccurs="0" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcvidmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:complexType name="announcementTypeParams">
		<xs:sequence>
			<xs:element name="TMGI" type="xs:hexBinary" minOccurs="1"/>
			<xs:element name="QCI" type="xs:integer" minOccurs="0"/>
			<xs:element name="frequency" type="xs:unsignedLong" minOccurs="0"/>
			<xs:element name="mbms-service-areas" type="mcvidmbms:mbms-service-areasType" minOccurs="0"/>
			<xs:element name="GPMS" type="xs:positiveInteger" minOccurs="0"/>
			<xs:element name="report-suspension" type="xs:boolean" minOccurs="0" maxOccurs="1"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcvidmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<!-- anyEXT elements for the announcement element – begin -->
	<xs:element name="mcvideo-mbms-rohc" type="mcvideombms:emptyType"/>
	<!-- empty complex type -->
	<xs:complexType name="emptyType"/>
	<xs:element name="max-cid" type="mcvideombms:max-cidType"/>
	<xs:simpleType name="max-cidType">
		<xs:restriction base="xs:integer">
			<xs:minInclusive value="1"/>
			<xs:maxInclusive value="16383"/>
		</xs:restriction>
	</xs:simpleType>
	<!-- anyEXT elements for the announcement element – end -->
	<xs:complexType name="mbms-service-areasType">
		<xs:sequence>
			<xs:element name="mbms-service-area-id" type="xs:hexBinary"
			minOccurs="1" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcvidmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute/>
	</xs:complexType>	
	<xs:complexType name="anyExtType">
		<xs:sequence>
			<xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<!-- anyEXT elements for the mcvideo-mbms-usage-info – begin -->		
	<xs:element name="mbms-defaultMuSiK-download" type="mcvidmbms:mbms-default-ctrlkey-downloadType"/>
	<xs:complexType name="mbms-default-ctrlkey-downloadType">
		<xs:sequence>
			<xs:element name="group" type="xs:anyURI" minOccurs="0" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcvidmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:element name="mbms-explicitMuSiK-download" type="mcvidmbms:mbms-explicit-ctrlkey-downloadType"/>
	<xs:complexType name="mbms-explicit-ctrlkey-downloadType">
		<xs:sequence>
			<xs:element name="group" type="xs:anyURI" minOccurs="1" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcvidmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<!-- anyEXT elements for the mcvideo-mbms-usage-info – end -->
</xs:schema>